# <img width="24px" src="./icons/icon-256x256.png" alt="Kyoo"> Kyoo

Kyoo is an open-source media browser which allow you to stream your movies, tv-shows or anime.
It is an alternative to Plex, Emby or Jellyfin.

Kyoo has been created from scratch, it is not a fork. Everything is and always will be free and open-source.

Feel free to open issues or pull requests, all contribution are welcomed.

## Getting started

- [Installation](./INSTALLING.md)
- [Api Documentation](https://kyoo.zoriya.dev/api/doc)
- [Contributing](./CONTRIBUTING.md)

## Features
 - Automatically organize your library of movies, tv or animes
 - No configuration or manual edit needed
 - guessit, thexem and themoviedb are used to retrive metadata even if your files are named in absurd ways
 - Transmux/Transcode files to make them available on every platform
 - Create smart watchlists that will automatically update when you watch movies/episodes
 - Download files for offline support (your watchlists will still be updated)
 - Android and web apps
 - Search your collection via names, tags or descriptions
 - Download metadata automatically
 - Handle subtitles natively with embedded fonts (ass, subrip or vtt)
 - Entirely free and works without internet (when metadata have already been downloaded)

## Live Demo

You can see a live demo with copyright-free movies here: [kyoo.zoriya.dev](https://kyoo.zoriya.dev).
Thanks to the [blender studio](https://www.blender.org/about/studio/) for providing open-source movies available for all.

## Screens

![Movie](https://raw.githubusercontent.com/zoriya/kyoo/screens/movie.png)
- - -
![Show](https://raw.githubusercontent.com/zoriya/kyoo/screens/show.png)
- - -
![Player](https://raw.githubusercontent.com/zoriya/kyoo/screens/player.png)
